<?php

namespace App\Infrastructure\Config;

use Dotenv\Dotenv;

class Config
{
    public static function loadEnv(): void
    {
        $dotenv = Dotenv::createImmutable(__DIR__ . '/../../../');
        $dotenv->load();
    }

    public static function getDatabaseConfig(): array
    {
        return [
            'database_type' => getenv('DB_TYPE'),
            'database_name' => getenv('DB_NAME'),
            'server' => getenv('DB_HOST'),
            'username' => getenv('DB_USER'),
            'password' => getenv('DB_PASS'),
            'port' => getenv('DB_PORT')
        ];
    }

    public static function getLogLevel(): string
    {
        return getenv('LOG_LEVEL') ?: 'info';
    }
}