<?php

namespace App\Infrastructure\Logger;

use Monolog\Logger;
use Monolog\Handler\StreamHandler;
use App\Infrastructure\Config\Config;

class LoggerFactory
{
    public static function createLogger(): Logger
    {
        $logger = new Logger('FinanceCore');
        $logLevel = Config::getLogLevel();
        $logger->pushHandler(new StreamHandler(__DIR__ . '/../../../storage/logs/app.log', Logger::toMonologLevel($logLevel)));
        
        return $logger;
    }
}
